aboutsummaryrefslogtreecommitdiffstats
path: root/testing/sparsehash/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-05-21 02:02:47 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-05-21 02:03:48 +0200
commita9594b0c5873276a52c58c5c79e146973c4bea27 (patch)
tree44da0d4f4e309c50d1a9f74f22db21cd18171a46 /testing/sparsehash/APKBUILD
parent6712ef676ef7a1d647b33d0c572d152ee14891a1 (diff)
downloadaports-a9594b0c5873276a52c58c5c79e146973c4bea27.tar.gz
aports-a9594b0c5873276a52c58c5c79e146973c4bea27.tar.bz2
aports-a9594b0c5873276a52c58c5c79e146973c4bea27.tar.xz
testing/sparsehash: new aport
Diffstat (limited to 'testing/sparsehash/APKBUILD')
-rw-r--r--testing/sparsehash/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/sparsehash/APKBUILD b/testing/sparsehash/APKBUILD
new file mode 100644
index 0000000000..33167657cd
--- /dev/null
+++ b/testing/sparsehash/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=sparsehash
+pkgver=2.0.2
+pkgrel=0
+pkgdesc="Library that contains several hash-map implementations"
+url="http://code.google.com/p/sparsehash"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://sparsehash.googlecode.com/files/sparsehash-$pkgver.tar.gz"
+
+_builddir="$srcdir"/sparsehash-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="1db92ed7f257d9b5f14a309d75e8a1d4 sparsehash-2.0.2.tar.gz"
+sha256sums="2ed639a7155607c097c2029af5f4287296595080b2e5dd2e2ebd9bbb7450b87c sparsehash-2.0.2.tar.gz"
+sha512sums="27d823551bc8364dd3c10f071e51bab55d2bbe9cf74ddb8337d118475aa7fdd38ae07dbb7dbd721c1350830325cadccdadf127f9996f26387e412e108edba3a1 sparsehash-2.0.2.tar.gz"